# Upgrade from 3.9.x to 3.10

Users can upgrade the ISD v3.9.x to ISD v3.10. The upgrade instructions and Script file can be found at the link below.

#### Upgrade instructions&#x20;

<https://github.com/OpsMx/platform-service/blob/v3.10/data-migration/steps_to_migrate_from_v3.9.x_to_v3.10.txt>

#### Script File

<https://github.com/OpsMx/platform-service/blob/v3.10/data-migration/migration_v3.9.x_to_v3.10.py>

### **Configuration changes:**

These configuration changes are applicable only for upgrading ISD from 3.9.x to 3.10.&#x78;**.**

#### **Autopilot > configmap.yml**

Add the following configurations into autopilot cm file **oes-autopilot-config > autopilot.properties** file. These should be in the same level of #storage configuration section.

```
 Logging Level
 logging.level.com.opsmx.analytics=ERROR
 datasource.secretManagement.source = db
```

#### **Datascience > configmap.yml**

Add the following configuration into datascience cm file **oes-datascience-config > app-config.yml** file. It should be in the same level of RABBITMQ section.

```
LOG_LEVEL:
  LEVEL: ERROR
  # Values: DEBUG, INFO, WARNING, ERROR, CRITICAL
```

#### Gate > configmap.yml

Add the following configuration into oes-gate-config secret file under **services: section**. It should be at the same level as other services.

```
gate:
  installation:
    mode: common #Allowed values are --> oes , common
```

Add the following in **oes-gate-config** under **gate.yml** to enable custom plugins for Verification, TestVerification, Approval, and Policy.

```
 ###If we have a common gate setup then only we have to add this 
 spinnaker:
  extensibility:
   plugins:
    deck-proxy:
     enabled: true
     plugins:
      Opsmx.VerificationGatePlugin:
       enabled: true
       version: 1.0.1
      Opsmx.TestVerificationGatePlugin:
       enabled: true
       version: 1.0.1
      Opsmx.PolicyGatePlugin:
       enabled: true
       version: 1.0.1
      Opsmx.VisibilityApprovalPlugin:
       enabled: true
       version: 1.0.1
    repositories:
     opsmx-repo:
      url: 
https://raw.githubusercontent.com/OpsMx/spinnakerPluginRepository/v3.10.0/plugins.json
```

#### UI > configmap.yml

Add the following configuration into: **app-config.json** file in **oes-ui-config** cm file.

```
 "policyUrl": "http://oes-sapor:8085/",
```

#### &#x20;**Visibility-service > configmap.yml**

Add the following configuration into **oes-visibility-config** cm file under **visibility-local.yml.** It should be parallel to autopilot, gate, platform, etc.

```
    datasource:
      secretManagement:
       source: db
```

#### &#x20;**bootstrap/bootstrap.yml**

Add the following configuration into bootstrap secret file under **bootstrap.yml.** It should be parallel to spring.

```
    datasource:
      secretManagement:
       source: db
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opsmx.com/opsmx-1/opsmx-context-engine/additional-resources/upgrading-to-3.7/upgrade-from-3.9.x-to-3.10.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
